%define	evolution_base_version	3.12
%define	api	1.2
%define	major	0
%define	libeews		%mklibname eews %{api} %{major}
%define	libewsutils	%mklibname ewsutils %{major}
%define	liblzx		%mklibname lzx %{major}
%define	devname		%mklibname eews -d

Summary:	Exchange Connector for Evolution, compatible with Exchange 2007 and later
Name:		evolution-ews
Version:	3.12.6
Release:	1
License:	LGPLv2+
Group:		Networking/Mail
Url:		http://projects.gnome.org/evolution/
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/3.12/%{name}-%{version}.tar.xz
Patch0:		evolution-ews-3.12.4-linkage.patch

BuildRequires:	intltool
BuildRequires:	pkgconfig(camel-1.2) >= 3.12.1
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= 3.12.1
BuildRequires:	pkgconfig(evolution-mail-3.0) >= 3.12.1
BuildRequires:	pkgconfig(evolution-shell-3.0) >= 3.12.1
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libebackend-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libebook-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libecal-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libedata-book-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libedata-cal-1.2) >= 3.12.1
BuildRequires:	pkgconfig(libemail-engine) >= 3.12.1
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(libmspack) >= 0.4
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(gnome-desktop-3.0)

Requires:       evolution-data-server
Requires:       evolution

%description
The EWS Exchange Connector for Evolution provides a Exchange backend
from evolution-data-server as well as plugins for Evolution to access
Exchange features.

The EWS Exchange Connector is using the Exchange Web Services interface
and is therefore compatible with Exchange 2007 and later.

Provides exchange connectivity for exchange server 2007 and later using
exchange web services protocol.

%package  -n %{libeews}
Summary:	Client library for Accessing Exchange Servers
Group:		System/Libraries

%description -n %{libeews}
This library is a client library for accessing Exchange servers through
the Exchange Web Services interface (compatible with Exchange 2007 and
later).

%package  -n %{libewsutils}
Summary:	Client library for Accessing Exchange Servers -- Utilities library
Group:		System/Libraries

%description -n %{libewsutils}
This library provides utilities API for EWS Exchange Connector.

%package -n %{devname}
Summary:	Client library for Accessing Exchange Servers - Development Files
Group:		Development/C
Requires:	%{libeews} = %{version}
Requires:	%{libewsutils} = %{version}

%description -n %{devname}
This library is a client library for accessing Exchange servers through
the Exchange Web Services interface (compatible with Exchange 2007 and
later).

%prep
%setup -q
%apply_patches

%build
%configure \
	--disable-static --with-internal-lzx

%make LIBS='-lm'

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%find_lang %{name}

%files -f %{name}.lang
%doc COPYING README
%{_libdir}/evolution-data-server/addressbook-backends/libebookbackendews.so
%{_libdir}/evolution-data-server/calendar-backends/libecalbackendews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.so
%{_libdir}/evolution-data-server/camel-providers/libcamelews.urls
%{_libdir}/evolution-data-server/registry-modules/module-ews-backend.so
%{_libdir}/evolution/%{evolution_base_version}/modules/module-ews-configuration.so
%{_datadir}/evolution/%{evolution_base_version}/errors/module-ews-configuration.error
%{_datadir}/evolution-data-server/ews/windowsZones.xml

%files -n %{libeews}
%dir %{_libdir}/evolution-data-server
%{_libdir}/evolution-data-server/libeews-%{api}.so.%{major}*

%files -n %{libewsutils}
%{_libdir}/evolution-data-server/libewsutils.so.%{major}*

%files -n %{devname}
%dir %{_libdir}/evolution-data-server
%{_libdir}/evolution-data-server/libeews-1.2.so
%{_libdir}/evolution-data-server/libewsutils.so
%{_includedir}/evolution-data-server/ews/


%changelog
* Wed Sep 10 2014 Tigro <ashejn@gmail.com> 3.12.6-1
+ Revision: 67ae044
- update to 3.12.6

* Fri Aug 08 2014 Tigro <ashejn@gmail.com> 3.12.4-1
+ Revision: d5270b2
- update linkage patch

* Fri Aug 08 2014 Tigro <ashejn@gmail.com> 3.12.4-1
+ Revision: 21bbc09
- fix merge

* Fri Aug 08 2014 Tigro <ashejn@gmail.com> 3.12.4-1
+ Revision: 046c60f
- update to 3.12.4

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.3-2
+ Revision: 14676e6
- MassBuild#440: Increase release tag

* Mon Jun 16 2014 Tigro <ashejn@gmail.com> 3.12.3-1
+ Revision: 47f6fc2
- update linkage patch

* Mon Jun 16 2014 Tigro <ashejn@gmail.com> 3.12.3-1
+ Revision: 8abe07d
- update to 3.12.3

* Tue May 13 2014 Tigro <ashejn@gmail.com> 3.12.2-1
+ Revision: d30280b
- update to 3.12.2

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: 9ed1219
- drop pkg file

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: ff345eb
- pack some files

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: e9c7c84
- call another configure macro

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: bb750a6
- apply link patch

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: d18d1f0
- fix build

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: 351fc76
- added BR: gnome-desktop-3.0

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: cd000e0
- update requires

* Mon May 12 2014 Tigro <ashejn@gmail.com> 3.12.1-1
+ Revision: e348dae
- update to 3.12.1

* Tue Dec 10 2013 Tigro <ashejn@gmail.com> 3.8.5-1
+ Revision: 94b9883
- added BR: libebook-1.2

* Tue Dec 10 2013 Tigro <ashejn@gmail.com> 3.8.5-1
+ Revision: 95ca5c1
- added BR: libecal-1.2

* Tue Dec 10 2013 Tigro <ashejn@gmail.com> 3.8.5-1
+ Revision: e59d08f
- drop obsolete depend

* Mon Oct 14 2013 Tigro <ashejn@gmail.com> 3.8.5-1
+ Revision: dcc1b11
- update to 3.8.5

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4-2
+ Revision: ebfd257
- drop liblzx package

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4-1
+ Revision: 8cbb89e
- added BR: libmspack

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4-1
+ Revision: c2b8772
- drop lzx

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4-1
+ Revision: 4daffbc
- drop msgpack

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4-1
+ Revision: fd8d4ee
- added BR: msgpack-devel

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4-1
+ Revision: 75cfa79
- update to 3.8.4

* Thu Jun 20 2013 root <root@localhost.localdomain> 3.8.3-1
+ Revision: fd0144f
- sync to gnome38 branch

* Sat Dec 08 2012 Arkady Shane <ashejn@gmail.com> 3.6.1-2
+ Revision: c61818a
- added R: evolution and evolution-data-server

* Wed Nov 14 2012 Arkady Shane <ashejn@gmail.com> 3.6.1-1
+ Revision: d9c76a5
- update to 3.6.1

* Wed Oct 17 2012 Arkady L. Shane <arkady.shane@rosalab.ru> 3.6.0-1
+ Revision: 18bdb5e
- update to 3.6.0

* Tue Aug 14 2012 Rosa <rosa@rosa-build.rosalab.ru> 3.4.4-1
+ Revision: 5a68f52
- Automatic import for version 3.4.4-1


